apiVersion: apps/v1
kind: Deployment
metadata:
  name: controlcenter
  labels:
    app: controlcenter
spec:
  replicas: 1
  selector:
    matchLabels:
      app: controlcenter
  strategy: {}
  template:
    metadata:
      labels:
        app: controlcenter
    spec:
      containers:
        - image: gcr.io/resonant-grail-307708/controlcenter
          imagePullPolicy: ""
          name: controlcenter
          ports:
            - containerPort: 80
          resources: {}
          env:
            - name: DSE2021_SCALING
              valueFrom:
                configMapKeyRef:
                  name: simulation-parameters-configmap
                  key: DSE2021_SCALING
      restartPolicy: Always
      serviceAccountName: ""
      volumes: null
status: {}
